E-MailRelay

Classes | Functions
GPop Namespace Reference

POP3 classes. More...

## Classes
class | Server
| A POP server class. More...
class | ServerPeer
| Represents a connection from a POP client. More...
class | ServerProtocol
| Implements the POP server-side protocol. More...
class | ServerProtocolText
| A default implementation for the ServerProtocol::Text interface. More...
class | Store
| A message store. More...
class | StoreList
| Represents the protocol's view of the pop store having 1-based message ids. More...
class | StoreMessage
| A structure representing a pop message. More...
class | StoreUser
| Holds the list of messages available to a particular pop user. More...

## Functions
bool | enabled () noexcept
| Returns true if pop code is built in. More...
std::unique_ptr< Store > | newStore (const G::Path &spool_dir, const Store::Config &)
| Creates a new Pop::Store. More...
std::unique_ptr< GAuth::SaslServerSecrets > | newSecrets (const std::string &path)
| Creates a new SaslServerSecrets for newStore(). More...
std::unique_ptr< Server > | newServer (GNet::EventState, Store &, const GAuth::SaslServerSecrets &, const Server::Config &)
| Creates a new server. More...
void | report (const Server *, const std::string &group={})
| Calls GPop::Server::report(). More...

## Detailed Description

POP3 classes.

The GPop namespace contains classes relating to the POP3 protocol.

Key classes are:

- Server
- ServerProtocol
- Store

## Function Documentation

## ◆ enabled()

bool GPop::enabled | ( |  | ) |
| noexcept

Returns true if pop code is built in.

Definition at line 25 of file gpop_disabled.cpp.

## ◆ newSecrets()

std::unique_ptr< GAuth::SaslServerSecrets > GPop::newSecrets | ( | const std::string & | path | ) |

Creates a new SaslServerSecrets for newStore().

Definition at line 35 of file gpop_disabled.cpp.

## ◆ newServer()

std::unique_ptr< GPop::Server > GPop::newServer | ( | GNet::EventState | es,
|  | Store & | store,
|  | const GAuth::SaslServerSecrets & | secrets,
|  | const Server::Config & | config
| ) |  |

Creates a new server.

Definition at line 40 of file gpop_disabled.cpp.

## ◆ newStore()

std::unique_ptr< GPop::Store > GPop::newStore | ( | const G::Path & | spool_dir,
|  | const Store::Config & | config
| ) |  |

Creates a new Pop::Store.

Definition at line 30 of file gpop_disabled.cpp.

## ◆ report()

void GPop::report | ( | const Server * | server,
|  | const std::string & | group = `{}`
| ) |  |

Calls GPop::Server::report().

Definition at line 46 of file gpop_disabled.cpp.